public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-misc/sddm/
Date: Wed, 24 Jul 2024 16:52:39 +0000 (UTC)	[thread overview]
Message-ID: <1721839817.4e1782d677ba2d4cad7dc5ee319c9fdb311448a0.asturm@gentoo> (raw)

commit:     4e1782d677ba2d4cad7dc5ee319c9fdb311448a0
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 24 15:31:05 2024 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Wed Jul 24 16:50:17 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4e1782d6

x11-misc/sddm: 0.21.0_p20240723 version bump (Qt5-based)

Bug: https://bugs.gentoo.org/913862
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 x11-misc/sddm/Manifest                     |   1 +
 x11-misc/sddm/sddm-0.21.0_p20240723.ebuild | 156 +++++++++++++++++++++++++++++
 2 files changed, 157 insertions(+)

diff --git a/x11-misc/sddm/Manifest b/x11-misc/sddm/Manifest
index 9daaf7abe4e4..516ebd603d84 100644
--- a/x11-misc/sddm/Manifest
+++ b/x11-misc/sddm/Manifest
@@ -3,3 +3,4 @@ DIST sddm-0.18.1.tar.xz 3402972 BLAKE2B 99ab43d374e9a3d318f692a6d496d8a6d68927af
 DIST sddm-0.21.0-pam.tar.xz 676 BLAKE2B 06a79f74a5833eca9877df4be8639311382d13061b21aa3627e6c4b07725878ded62221fca943440bacc143f6be2a23b2e0a2124012ff2c9fac82e1eded11144 SHA512 6d91eef2434346f7707122454522cf19f104994ac95d562417f6060a92b4e6c9792bebcccabac8290479200b4ba02fc4d92c6098c435c7ceda796d619d8913c2
 DIST sddm-0.21.0.tar.gz 3557266 BLAKE2B 849cb8b06b9510e5366ea28ef322c242db7d5a77d94c0a5a727f468209880a717055ad8b0c2f5a857852202a4d6bc1f68281fe0e0ab3c6a32327b5a4219af3a0 SHA512 2e8e460e7f318f20a406dcbb1a9fa1dc78b6a5b8d888bfbbaae22b9c642dbc49cf2ac682b4ea9ed847bbafa9bdc361ba08795e59cad970088b370caaaa70f458
 DIST sddm-0.21.0_p20240302.tar.gz 3555893 BLAKE2B 2c0d6b5185088750f3e656f593b1f9cd212e76d250c6285e03c8d86fad99412dce4a784dd8dfdd8cf7759552101ce36971b6c292f8ce51e9aecc3e9a1a785daa SHA512 0e0a143ec2007b09c406773ff81a5d722b9a7fadd0c5c6c8ef23d67623c16f8327cf54617dcc273b0b690ca5447b6707ff1dd48a8a563a6efed8d9aac70bd522
+DIST sddm-0.21.0_p20240723.tar.gz 3557578 BLAKE2B b92feb20a39eaf34822b077fcb8b89a100ff65814f9b523b2a1a0ffd3592edf2e86fa8fbdfcd8b592756a0b4baf0b085e8c7b4ad2aaa2f08b90e25e580df9925 SHA512 1ea2f758099f86086aebf05a77b176227475c1eb9c21c77bc99b9bb5a2882ce087e020ae6a11585b793fe09a3567e0ea4d0c1632a5823b7be83e33882964de48

diff --git a/x11-misc/sddm/sddm-0.21.0_p20240723.ebuild b/x11-misc/sddm/sddm-0.21.0_p20240723.ebuild
new file mode 100644
index 000000000000..65b6f5a1fd1a
--- /dev/null
+++ b/x11-misc/sddm/sddm-0.21.0_p20240723.ebuild
@@ -0,0 +1,156 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PAM_TAR="${PN}-0.21.0-pam"
+if [[ ${PV} == *9999* ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/${PN}/${PN}.git"
+else
+	COMMIT=4ec29a8bba033d475f197693fac6cb0c383a1da2
+	SRC_URI="https://github.com/${PN}/${PN}/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
+	S="${WORKDIR}/${PN}-${COMMIT}"
+	KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+fi
+
+QTMIN=5.15.12
+inherit cmake linux-info optfeature pam systemd tmpfiles
+
+DESCRIPTION="Simple Desktop Display Manager"
+HOMEPAGE="https://github.com/sddm/sddm"
+SRC_URI+=" https://dev.gentoo.org/~asturm/distfiles/${PAM_TAR}.tar.xz"
+
+LICENSE="GPL-2+ MIT CC-BY-3.0 CC-BY-SA-3.0 public-domain"
+SLOT="0"
+IUSE="+elogind systemd test"
+
+REQUIRED_USE="^^ ( elogind systemd )"
+RESTRICT="!test? ( test )"
+
+COMMON_DEPEND="
+	acct-group/sddm
+	acct-user/sddm
+	>=dev-qt/qtcore-${QTMIN}:5
+	>=dev-qt/qtdbus-${QTMIN}:5
+	>=dev-qt/qtdeclarative-${QTMIN}:5
+	>=dev-qt/qtgui-${QTMIN}:5
+	>=dev-qt/qtnetwork-${QTMIN}:5
+	sys-libs/pam
+	x11-libs/libXau
+	x11-libs/libxcb:=
+	elogind? (
+		sys-auth/elogind[pam]
+		sys-power/upower
+	)
+	systemd? ( sys-apps/systemd:=[pam] )
+"
+DEPEND="${COMMON_DEPEND}
+	test? ( >=dev-qt/qttest-${QTMIN}:5 )
+"
+RDEPEND="${COMMON_DEPEND}
+	x11-base/xorg-server
+	!systemd? ( gui-libs/display-manager-init )
+"
+BDEPEND="
+	dev-python/docutils
+	>=dev-build/cmake-3.25.0
+	>=dev-qt/linguist-tools-${QTMIN}:5
+	kde-frameworks/extra-cmake-modules:0
+	virtual/pkgconfig
+"
+
+PATCHES=(
+	# Downstream patches
+	"${FILESDIR}/${PN}-0.20.0-respect-user-flags.patch"
+	"${FILESDIR}/${PN}-0.21.0-Xsession.patch" # bug 611210
+)
+
+pkg_setup() {
+	local CONFIG_CHECK="~DRM"
+	use kernel_linux && linux-info_pkg_setup
+}
+
+src_unpack() {
+	[[ ${PV} == *9999* ]] && git-r3_src_unpack
+	default
+}
+
+src_prepare() {
+	touch 01gentoo.conf || die
+
+cat <<-EOF >> 01gentoo.conf
+[General]
+# Remove qtvirtualkeyboard as InputMethod default
+InputMethod=
+EOF
+
+	cmake_src_prepare
+
+	if ! use test; then
+		sed -e "/^find_package/s/ Test//" -i CMakeLists.txt || die
+		cmake_comment_add_subdirectory test
+	fi
+
+	if use systemd; then
+		sed -e "/pam_elogind.so/s/elogind/systemd/" \
+			-i "${WORKDIR}"/${PAM_TAR}/${PN}-greeter.pam || die
+	fi
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DBUILD_MAN_PAGES=ON
+		-DBUILD_WITH_QT6=OFF # default theme (and others) not yet compatible
+		-DDBUS_CONFIG_FILENAME="org.freedesktop.sddm.conf"
+		-DRUNTIME_DIR=/run/sddm
+		-DSYSTEMD_TMPFILES_DIR="/usr/lib/tmpfiles.d"
+		-DNO_SYSTEMD=$(usex !systemd)
+		-DUSE_ELOGIND=$(usex elogind)
+	)
+	cmake_src_configure
+}
+
+src_install() {
+	cmake_src_install
+
+	insinto /etc/sddm.conf.d/
+	doins "${S}"/01gentoo.conf
+
+	# with systemd logs are sent to journald, so no point to bother in that case
+	if ! use systemd; then
+		insinto /etc/logrotate.d
+		newins "${FILESDIR}/sddm.logrotate" sddm
+	fi
+
+	newpamd "${WORKDIR}"/${PAM_TAR}/${PN}.pam ${PN}
+	newpamd "${WORKDIR}"/${PAM_TAR}/${PN}-autologin.pam ${PN}-autologin
+	newpamd "${WORKDIR}"/${PAM_TAR}/${PN}-greeter.pam ${PN}-greeter
+}
+
+pkg_postinst() {
+	tmpfiles_process "${PN}.conf"
+
+	elog "NOTE: If SDDM startup appears to hang then entropy pool is too low."
+	elog "This can be fixed by configuring one of the following:"
+	elog "  - Enable CONFIG_RANDOM_TRUST_CPU in linux kernel"
+	elog "  - # emerge sys-apps/haveged && rc-update add haveged boot"
+	elog "  - # emerge sys-apps/rng-tools && rc-update add rngd boot"
+	elog
+	elog "SDDM example config can be shown with:"
+	elog "  ${EROOT}/usr/bin/sddm --example-config"
+	elog "Use ${EROOT}/etc/sddm.conf.d/ directory to override specific options."
+	elog
+	elog "For more information on how to configure SDDM, please visit the wiki:"
+	elog "  https://wiki.gentoo.org/wiki/SDDM"
+	if has_version x11-drivers/nvidia-drivers; then
+		elog
+		elog "  Nvidia GPU owners in particular should pay attention"
+		elog "  to the troubleshooting section."
+	fi
+
+	optfeature "Weston DisplayServer support (EXPERIMENTAL)" "dev-libs/weston[kiosk]"
+	optfeature "KWin DisplayServer support (EXPERIMENTAL)" "kde-plasma/kwin"
+
+	systemd_reenable sddm.service
+}


             reply	other threads:[~2024-07-24 16:52 UTC|newest]

Thread overview: 112+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-07-24 16:52 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-24 22:19 [gentoo-commits] repo/gentoo:master commit in: x11-misc/sddm/ Sam James
2025-01-23 20:32 Andreas Sturmlechner
2025-01-10  9:54 WANG Xuerui
2024-08-29 19:03 Andreas Sturmlechner
2024-08-29 15:40 Arthur Zamarin
2024-08-29 15:40 Arthur Zamarin
2024-08-29 15:40 Arthur Zamarin
2024-07-26 11:17 Arthur Zamarin
2024-07-24 17:37 Andreas Sturmlechner
2024-07-24 16:52 Andreas Sturmlechner
2024-07-24 16:52 Andreas Sturmlechner
2024-07-12 15:24 Arthur Zamarin
2024-07-02 12:07 Jakov Smolić
2024-07-01 21:47 Andreas Sturmlechner
2024-07-01 21:47 Andreas Sturmlechner
2024-07-01 18:04 Andreas Sturmlechner
2024-06-27  9:43 Arthur Zamarin
2024-03-29  6:19 Arthur Zamarin
2024-03-29  6:19 Arthur Zamarin
2024-03-29  6:19 Arthur Zamarin
2023-09-11  0:28 Mike Gilbert
2023-09-10 21:20 Mike Gilbert
2023-09-03 14:19 Sam James
2023-09-03 14:17 Sam James
2023-09-03 14:17 Sam James
2023-09-02 18:01 Andreas Sturmlechner
2023-06-27 11:25 Andreas Sturmlechner
2022-12-03 17:13 Andreas Sturmlechner
2022-12-03 14:44 Arthur Zamarin
2022-12-03 12:49 Arthur Zamarin
2022-11-29 21:01 Andreas Sturmlechner
2022-10-06  9:14 Andreas Sturmlechner
2022-05-25 11:20 WANG Xuerui
2022-04-02 12:12 Arthur Zamarin
2022-04-02  8:03 Agostino Sarubbo
2022-04-02  7:59 Agostino Sarubbo
2022-04-01 14:48 Andreas Sturmlechner
2022-04-01 14:48 Andreas Sturmlechner
2022-04-01 14:48 Andreas Sturmlechner
2022-04-01 14:48 Andreas Sturmlechner
2022-04-01 14:48 Andreas Sturmlechner
2022-04-01 14:48 Andreas Sturmlechner
2022-04-01 14:48 Andreas Sturmlechner
2022-04-01 14:48 Andreas Sturmlechner
2022-04-01 14:48 Andreas Sturmlechner
2021-07-26  7:40 Yixun Lan
2021-07-04 14:03 Ulrich Müller
2021-06-27  2:08 Sam James
2021-06-24 23:27 Sam James
2020-10-10 10:14 Mikle Kolyada
2020-07-24 21:00 Mikle Kolyada
2020-06-21  9:25 Andreas Sturmlechner
2020-06-18 12:23 Mikle Kolyada
2019-09-08 16:18 Andreas Sturmlechner
2019-07-22 22:23 Andreas Sturmlechner
2019-07-22 21:56 Aaron Bauman
2019-06-26  9:44 Agostino Sarubbo
2019-06-26  8:32 Agostino Sarubbo
2019-06-23 14:55 Andreas Sturmlechner
2019-05-28  2:35 Aaron Bauman
2019-03-31  9:04 Michael Palimaka
2018-08-09 20:48 Andreas Sturmlechner
2018-07-28 13:25 Thomas Deutschmann
2018-07-26 21:44 Mikle Kolyada
2018-06-23 17:04 Andreas Sturmlechner
2018-06-22  7:23 Mikle Kolyada
2018-06-17 23:29 Thomas Deutschmann
2018-06-06 10:14 Andreas Sturmlechner
2018-05-05  6:59 Andreas Sturmlechner
2018-05-04 15:36 Thomas Deutschmann
2018-05-03 14:45 Mikle Kolyada
2018-04-19 18:00 Andreas Sturmlechner
2018-04-05 15:58 Andreas Sturmlechner
2018-02-02 13:04 Michael Palimaka
2018-01-09 11:56 Mikle Kolyada
2018-01-06  2:14 Andreas Sturmlechner
2018-01-06  2:14 Andreas Sturmlechner
2017-12-06 19:27 Manuel Rüger
2017-12-06 19:27 Manuel Rüger
2017-11-12 15:12 Andreas Sturmlechner
2017-11-12 15:12 Andreas Sturmlechner
2017-11-12 15:12 Andreas Sturmlechner
2017-10-23 11:35 Michael Palimaka
2017-10-19 12:57 Manuel Rüger
2017-10-09 14:07 Manuel Rüger
2017-09-03  1:15 Mike Gilbert
2017-09-02 15:07 Andreas Sturmlechner
2017-08-15  9:21 Lars Wendler
2017-06-28 11:00 Alexis Ballier
2017-03-07  9:14 David Seifert
2017-01-31 11:43 Agostino Sarubbo
2017-01-29 13:55 Agostino Sarubbo
2016-12-23 16:42 Johannes Huber
2016-08-31 12:01 Michael Palimaka
2016-08-31 12:01 Michael Palimaka
2016-08-29 10:09 Manuel Rüger
2016-08-29  8:10 Manuel Rüger
2016-08-07  8:28 Pacho Ramos
2016-06-01 21:14 Michael Palimaka
2016-04-14 15:38 Michael Palimaka
2016-04-06 12:26 Agostino Sarubbo
2016-03-03 15:26 Michael Palimaka
2016-03-03 15:26 Michael Palimaka
2016-02-15 22:59 Manuel Rüger
2016-01-30 14:22 Michael Palimaka
2016-01-30 13:56 Michael Palimaka
2015-11-09 14:41 Michael Palimaka
2015-11-07 11:22 Manuel Rüger
2015-10-17  8:25 Jauhien Piatlicki
2015-10-11 16:04 Manuel Rüger
2015-09-09 20:39 Jauhien Piatlicki

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1721839817.4e1782d677ba2d4cad7dc5ee319c9fdb311448a0.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox